import XMLWidgetManager
import XMLWidgetFinder
import XMLWidgetEventRouter
import zamledit

class ZamlEditManagerBase(XMLWidgetManager.XMLWidgetManagerBase):
    """A XMLWidgetManager for ZAML Document Editor.
    """
    def __init__(self):
	"""Initialize"""
	self.myinit()
    
    def myinit(self):
	"""Initialization.
	"""
	# set standard widget finder and event router
	self.init(XMLWidgetFinder.XMLStandardWidgetFinder(), 
		  XMLWidgetEventRouter.XMLWidgetEventRouter())
	# configure this manager for ZAML
	zamledit.configure(self)	
