import XMLWidgetManager
import XMLWidgetFinder
import XMLWidgetEventRouter
import zamlview

class ZamlViewManagerBase(XMLWidgetManager.XMLWidgetManagerBase):
    """Zaml document viewer.
    """
    def __init__(self):
	"""Initialization.
	"""
	self.myinit()

    def myinit(self):
	"""Initialize this manager for ZAML viewing."""
	# set standard widget finder and event router
	self.init(XMLWidgetFinder.XMLStandardWidgetFinder(), 
		  XMLWidgetEventRouter.XMLWidgetEventRouter())
	# configure this manager for ZAML
	zamlview.configure(self)
