import XMLWidgetManager
import XMLWidgetFinder
import XMLWidgetEventRouter
import structure

class StructureManagerBase(XMLWidgetManager.XMLWidgetManagerBase):
    """A XMLWidgetManager for structure Documents.
    """
    def __init__(self):
	"""Initialize this manager for structure."""
	# set standard widget finder and event router
	self.init(XMLWidgetFinder.XMLStandardWidgetFinder(), 
		  XMLWidgetEventRouter.XMLWidgetEventRouter())
	# configure this manager for structure
	structure.configure(self)
